package com.example.onlineshop.config;

import org.springframework.boot.context.event.ApplicationReadyEvent;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Component;

import com.example.onlineshop.service.DataInit;

@Component
public class AppStartup {
    private final DataInit dataInit;

    public AppStartup(DataInit dataInit) {
        this.dataInit = dataInit;
    }

    @EventListener(ApplicationReadyEvent.class)
    public void onApplicationReadyEvent() {
        dataInit.initData();
    }
}
